<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 03/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-chk_regs.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Check new registrations                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Neue Anmeldungen pruefen                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if 

// Add description as navigation point
addMenuDescription('admin', basename(__FILE__));

// Check for accounts
$result = SQL_QUERY("SELECT
	`userid`, `gender`, `surname`, `family`, `email`, `REMOTE_ADDR`, `refid`, `user_hash`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`status`='UNCONFIRMED'
ORDER BY
	`userid` ASC", __FILE__, __LINE__);

if (SQL_NUMROWS($result) > 0) {
	// We have some (new?) registrations!
	$OUT = ''; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		// Add link to refid
		if ($content['refid'] > 0) $content['refid'] = generateUserProfileLink($content['refid']);

		// Prepare array for the row template
		// @TODO Rewritings: surname->surname,family->family,ip->REMOTE_ADDR,ref->refid,hash->user_hash in template
		$content = array(
			'sw'     => $SW,
			'gender' => translateGender($content['gender']),
			'surname'  => $content['surname'],
			'family'  => $content['family'],
			'email'  => "<a href=\"".generateEmailLink($content['email'], 'user_data')."\">".$content['email']."</a>",
			'ip'     => $content['REMOTE_ADDR'],
			'ref'    => $content['refid'],
			'hash'   => $content['user_hash'],
			'link'   => generateUserProfileLink($content['userid']),
		);

		// Load row template and switch color
		$OUT .= loadTemplate('admin_reg_row', true, $content);
		$SW = 3 - $SW;
	}

	// Load main template
	loadTemplate('admin_reg', false, $OUT);
} else {
	// No registrations left - or all has confirmed their email address... :-)
	loadTemplate('admin_settings_saved', false, getMessage('ADMIN_ALL_CONFIRMED_EMAIL'));
}

// Free memory
SQL_FREERESULT($result);

// [EOF]
?>
